#ifndef SimTK_SIMBODY_FORCE_BUILTINS_H_
#define SimTK_SIMBODY_FORCE_BUILTINS_H_

/* -------------------------------------------------------------------------- *
 *                               Simbody(tm)                                  *
 * -------------------------------------------------------------------------- *
 * This is part of the SimTK biosimulation toolkit originating from           *
 * Simbios, the NIH National Center for Physics-Based Simulation of           *
 * Biological Structures at Stanford, funded under the NIH Roadmap for        *
 * Medical Research, grant U54 GM072970. See https://simtk.org/home/simbody.  *
 *                                                                            *
 * Portions copyright (c) 2013 Stanford University and the Authors.           *
 * Authors: Michael Sherman                                                   *
 * Contributors:                                                              *
 *                                                                            *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may    *
 * not use this file except in compliance with the License. You may obtain a  *
 * copy of the License at http://www.apache.org/licenses/LICENSE-2.0.         *
 *                                                                            *
 * Unless required by applicable law or agreed to in writing, software        *
 * distributed under the License is distributed on an "AS IS" BASIS,          *
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   *
 * See the License for the specific language governing permissions and        *
 * limitations under the License.                                             *
 * -------------------------------------------------------------------------- */

/** @file
Include the header files that define each of the built-in force
subclasses of Force. These all depend on Force.h. Note that there are
other force elements; these are just the ones that are internal classes
with the Force class, so logically their definitions are part of the
Force class definition. **/

#include "simbody/internal/Force_Custom.h"
#include "simbody/internal/Force_DiscreteForces.h"
#include "simbody/internal/Force_Gravity.h"
#include "simbody/internal/Force_LinearBushing.h"
#include "simbody/internal/Force_MobilityConstantForce.h"
#include "simbody/internal/Force_MobilityDiscreteForce.h"
#include "simbody/internal/Force_MobilityLinearDamper.h"
#include "simbody/internal/Force_MobilityLinearSpring.h"
#include "simbody/internal/Force_MobilityLinearStop.h"
#include "simbody/internal/Force_Thermostat.h"

#endif // SimTK_SIMBODY_FORCE_BUILTINS_H_



